/**
 * Copyright (C) 2007  Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/
package org.ow2.bonita;

import junit.framework.Test;
import junit.framework.TestCase;
import junit.framework.TestSuite;

import org.ow2.bonita.activity.instantiation.MultiInstantiationTest;
import org.ow2.bonita.activity.subflow.SubflowTest;
import org.ow2.bonita.deadline.DeadlineTestSuite;
import org.ow2.bonita.example.aw.AWMultiInstTest;
import org.ow2.bonita.example.aw.AWTest;
import org.ow2.bonita.example.carpool.CarpoolTest;
import org.ow2.bonita.example.websale.WSTest;
import org.ow2.bonita.facade.AssignTest;
import org.ow2.bonita.facade.CommandAPITest;
import org.ow2.bonita.facade.DefinitionAPITest;
import org.ow2.bonita.facade.ManagementAPITest;
import org.ow2.bonita.facade.RuntimeAPITest;
import org.ow2.bonita.facade.SuspendResumeTest;
import org.ow2.bonita.facade.businessArchive.BusinessArchiveTest;
import org.ow2.bonita.hook.HookTestSuite;
import org.ow2.bonita.integration.IntegrationTests;
import org.ow2.bonita.participant.PackageParticipantTest;
import org.ow2.bonita.participant.ParticipantTest;
import org.ow2.bonita.services.record.QuerierAPITest;
import org.ow2.bonita.versioning.VersioningTest;

/**
 * @author "Pierre Vigneras"
 * @date Dec 5, 2007
 */
public final class DefaultEnvNonRegressionTests extends TestCase {
  private DefaultEnvNonRegressionTests() { }

  public static Test suite() {
    final TestSuite suite = new TestSuite(DefaultEnvNonRegressionTests.class.getName());
    // NonRegression Tests that use the default envGenerator.
    // These tests are used to create EJB test suite. 
    suite.addTestSuite(AWTest.class);
    suite.addTestSuite(CarpoolTest.class);
    suite.addTestSuite(WSTest.class);
    suite.addTestSuite(AWMultiInstTest.class);


    suite.addTest(UnitTests.suite());
    suite.addTest(HookTestSuite.suite());
    suite.addTestSuite(ManagementAPITest.class);
    suite.addTestSuite(BusinessArchiveTest.class);
    suite.addTestSuite(RuntimeAPITest.class);
    suite.addTestSuite(AssignTest.class);
    suite.addTestSuite(CommandAPITest.class);
    suite.addTestSuite(SuspendResumeTest.class);
    suite.addTestSuite(ParticipantTest.class);
    suite.addTestSuite(QuerierAPITest.class);
    suite.addTestSuite(SubflowTest.class);
    suite.addTestSuite(PackageParticipantTest.class);
    suite.addTestSuite(DefinitionAPITest.class);    

    suite.addTest(DeadlineTestSuite.suite());
    //suite.addTestSuite(DbConsoleTest.class);
    suite.addTest(IntegrationTests.suite());

    suite.addTestSuite(VersioningTest.class);
    suite.addTestSuite(MultiInstantiationTest.class);

    return suite;
  }
}
