package org.ow2.bonita.integration.hook;

import junit.framework.Assert;

import org.ow2.bonita.definition.Hook;
import org.ow2.bonita.facade.QueryAPIAccessor;
import org.ow2.bonita.facade.QueryRuntimeAPI;
import org.ow2.bonita.facade.runtime.ActivityBody;
import org.ow2.bonita.facade.runtime.ActivityInstance;
import org.ow2.bonita.facade.runtime.var.Enumeration;
import org.ow2.bonita.facade.uuid.ActivityInstanceUUID;

/**
 * author Marc Blachon, Charles Souillard
 * Hook that check activity variables
 *
 */

public class HookBeforeTerminateCheckActVariable implements Hook {
  private static final long serialVersionUID = 1L;

  public void execute(QueryAPIAccessor accessor, ActivityInstance<ActivityBody> activityInstance) throws Exception {
    ActivityInstanceUUID activityUUID = activityInstance.getUUID();
    QueryRuntimeAPI queryRuntimeAPI = accessor.getQueryRuntimeAPI();
    String actStr1 = (String) queryRuntimeAPI.getActivityInstanceVariable(activityUUID, "act_str1");
    Enumeration actEnumStat = (Enumeration) queryRuntimeAPI.getActivityInstanceVariable(activityUUID, "act_enum_stat");

    Assert.assertNotNull(actStr1);
    Assert.assertNotNull(actEnumStat);
    Assert.assertNotNull(actEnumStat.getSelectedValue());
    Assert.assertEquals("iiii", actEnumStat.getSelectedValue());
  }

}
